# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_FieldOfHArray2OfBoundedSurface Class Reference

`#include <PColPGeom_FieldOfHArray2OfBoundedSurface.hxx>`

Inheritance diagram for PColPGeom_FieldOfHArray2OfBoundedSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColPGeom_FieldOfHArray2OfBoundedSurface ()
Standard_EXPORT | PColPGeom_FieldOfHArray2OfBoundedSurface (const Standard_Integer Size)
Standard_EXPORT | PColPGeom_FieldOfHArray2OfBoundedSurface (const PColPGeom_FieldOfHArray2OfBoundedSurface &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColPGeom_FieldOfHArray2OfBoundedSurface &Other)
void | operator= (const PColPGeom_FieldOfHArray2OfBoundedSurface &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom_BoundedSurface)&Value)
Standard_EXPORT Handle_PGeom_BoundedSurface & | Value (const Standard_Integer Index) const
Handle_PGeom_BoundedSurface & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColPGeom_FieldOfHArray2OfBoundedSurface ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColPGeom_FieldOfHArray2OfBoundedSurface_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_FieldOfHArray2OfBoundedSurface::PColPGeom_FieldOfHArray2OfBoundedSurface | ( |  | ) |

Standard_EXPORT PColPGeom_FieldOfHArray2OfBoundedSurface::PColPGeom_FieldOfHArray2OfBoundedSurface | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColPGeom_FieldOfHArray2OfBoundedSurface::PColPGeom_FieldOfHArray2OfBoundedSurface | ( | const PColPGeom_FieldOfHArray2OfBoundedSurface & | Varray | ) |

PColPGeom_FieldOfHArray2OfBoundedSurface::~PColPGeom_FieldOfHArray2OfBoundedSurface | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColPGeom_FieldOfHArray2OfBoundedSurface::Assign | ( | const PColPGeom_FieldOfHArray2OfBoundedSurface & | Other | ) |

Standard_EXPORT void PColPGeom_FieldOfHArray2OfBoundedSurface::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColPGeom_FieldOfHArray2OfBoundedSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom_FieldOfHArray2OfBoundedSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom_FieldOfHArray2OfBoundedSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PGeom_BoundedSurface& PColPGeom_FieldOfHArray2OfBoundedSurface::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColPGeom_FieldOfHArray2OfBoundedSurface::operator= | ( | const PColPGeom_FieldOfHArray2OfBoundedSurface & | Other | ) | `[inline]`

Standard_EXPORT void PColPGeom_FieldOfHArray2OfBoundedSurface::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColPGeom_FieldOfHArray2OfBoundedSurface::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom_BoundedSurface)& | Value
| ) |

Standard_EXPORT Handle_PGeom_BoundedSurface& PColPGeom_FieldOfHArray2OfBoundedSurface::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColPGeom_FieldOfHArray2OfBoundedSurface_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColPGeom_FieldOfHArray2OfBoundedSurface.hxx